﻿using Android.App;
using Android.OS;
using System.Collections.ObjectModel;
using Com.Syncfusion.Charts;
using Android.Graphics;
using System;

namespace ItemsSouceSample
{
    [Activity(Label = "ItemsSouceSample", MainLauncher = true, Icon = "@drawable/icon")]
    public class MainActivity : Activity
    {
        SfChart chart;
        protected override void OnCreate(Bundle bundle)
        {
            base.OnCreate(bundle);

            chart = new SfChart(this);
            chart.SetBackgroundColor(Color.White);

            chart.PrimaryAxis = new DateTimeAxis();
            chart.SecondaryAxis = new NumericalAxis();

            SplineSeries series = new SplineSeries();
            series.ItemsSource = GetData();
            series.XBindingPath = "XValue";
            series.YBindingPath = "YValue";
            chart.Series.Add(series);

            SetContentView (chart);
        }

        public static ObservableCollection<DataPoint> GetData()
        {
            var dateTime = DateTime.Now;
            var datas = new ObservableCollection<DataPoint>();
            datas.Add(new DataPoint(dateTime.ToOADate(), 10d));
            dateTime = dateTime.AddYears(1);
            datas.Add(new DataPoint(dateTime.ToOADate(), 30d));
            dateTime = dateTime.AddYears(1);
            datas.Add(new DataPoint(dateTime.ToOADate(), 15d));
            dateTime = dateTime.AddYears(1);
            datas.Add(new DataPoint(dateTime.ToOADate(), 65d));
            dateTime = dateTime.AddYears(1);
            datas.Add(new DataPoint(dateTime.ToOADate(), 90d));
            dateTime = dateTime.AddYears(1);
            datas.Add(new DataPoint(dateTime.ToOADate(), 85d));
            return datas;
        }
    }
}

